function createNavbar() {
    const navbarHTML = `
    <nav>
        <ul>
            <li><a href="index.html" data-route="index.html">Homepage</a></li>
            <li><a href="search.html" data-route="search.html">Search</a></li>
            <li><a href="barcode.html" data-route="barcode.html">Barcode Scanner</a></li>
        </ul>
    </nav>
    `;
    const navbarContainer = document.getElementById('navbar-placeholder');
    if (navbarContainer) {
        navbarContainer.innerHTML = navbarHTML;
    }
}
createNavbar();